diff --git a/Client/Client/Assets/Scripts/Weather/WeatherProvider.cs b/Client/Client/Assets/Scripts/Weather/WeatherProvider.cs
index 6e9c42f..3b0c192 100644
--- a/Client/Client/Assets/Scripts/Weather/WeatherProvider.cs
+++ b/Client/Client/Assets/Scripts/Weather/WeatherProvider.cs
@@ -26,13 +26,9 @@ public class WeatherProvider
 
     public void LoadFromResponse(string response)
     {
-        Debug.Log("Parsing...");
-
         parser.ParsePrediction(response);
         var current = parser.Current;
 
-        Debug.Log("Parsed.");
-
         if (current != null)
         {
             var temperature = current.temp;
@@ -49,4 +45,38 @@ public class WeatherProvider
             Debug.LogError("Error loading weather.");
         }
     }
+
+    public void Load(Date dateTime)
+    {
+        var predictions = parser.Predictions;
+
+        if (predictions != null)
+        {
+            for (int i = 0; i < predictions.Count; i++)
+            {
+                var prediction = predictions[i];
+
+                if (
+                    prediction.startTime.Day == dateTime.day &&
+                    prediction.startTime.Month == dateTime.month &&
+                    prediction.startTime.Year == dateTime.year &&
+                    dateTime.hour >= prediction.startTime.Hour &&
+                    ( i == predictions.Count - 1 || dateTime.hour < predictions[i+1].startTime.Hour)
+                    )
+                {
+                    var current = prediction;
+                    var temperature = current.temp;
+                    var rain = current.rain;
+                    var wind = current.wind;
+                    var weather = current.condition;
+                    data.SetValues(temperature, wind, rain, weather);
+                    break;
+                }
+            }
+        }
+        else
+        {
+            Debug.LogError("Error loading weather.");
+        }
+    }
 }
